Bug 78817 - [Qt] Print warning when importing experimental WK2 APIs in QML
Summary: [Qt] Print warning when importing experimental WK2 APIs in QML
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit API (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Andras Becsi
URL:
Keywords:
Depends on:
Blocks: 74403
  Show dependency treegraph
 
Reported: 2012-02-16 08:04 PST by Simon Hausmann
Modified: 2012-02-21 03:34 PST (History)
2 users (show)

See Also:


Attachments
proposed patch (1.46 KB, patch)
2012-02-20 11:30 PST, Andras Becsi
no flags Details | Formatted Diff | Diff
proposed patch (1.48 KB, patch)
2012-02-21 02:14 PST, Andras Becsi
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Hausmann 2012-02-16 08:04:33 PST
Similar to qmake printing a warning when using private Qt C++ APIs, we should print a warning (using qWarning?) when an application imports the experimental QML WebKit2 APIs.
Comment 1 Andras Becsi 2012-02-20 11:30:32 PST
Created attachment 127838 [details]
proposed patch
Comment 2 Kenneth Rohde Christiansen 2012-02-20 12:08:25 PST
Comment on attachment 127838 [details]
proposed patch

View in context: https://bugs.webkit.org/attachment.cgi?id=127838&action=review

> Source/WebKit/qt/declarative/experimental/plugin.cpp:49
> +        qWarning("\nWARNING: This project is using the experimental QML WebKit2 API and is therefore tied to a specific QtWebKit version.\n"

it sounds as the whole API is experimental!

This project is using the experimental QML API extensions for QtWebKit and it therefore tied to a specific QtWebKit release.
Comment 3 Andras Becsi 2012-02-21 02:14:55 PST
Created attachment 127946 [details]
proposed patch
Comment 4 WebKit Review Bot 2012-02-21 03:34:07 PST
Comment on attachment 127946 [details]
proposed patch

Clearing flags on attachment: 127946

Committed r108333: <http://trac.webkit.org/changeset/108333>
Comment 5 WebKit Review Bot 2012-02-21 03:34:13 PST
All reviewed patches have been landed.  Closing bug.